WPGTextDataHandler Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPGTextDataHandler Class Reference

`#include <WPGXParser.h>`

Inheritance diagram for WPGTextDataHandler:

## Public Member Functions
| WPGTextDataHandler (librevenge::RVNGDrawingInterface *painter)
| ~WPGTextDataHandler () override
void | setDocumentMetaData (const librevenge::RVNGPropertyList &) override
void | startDocument (const librevenge::RVNGPropertyList &) override
void | endDocument () override
void | defineEmbeddedFont (const librevenge::RVNGPropertyList &) override
void | definePageStyle (const librevenge::RVNGPropertyList &) override
void | openPageSpan (const librevenge::RVNGPropertyList &) override
void | closePageSpan () override
void | openHeader (const librevenge::RVNGPropertyList &) override
void | closeHeader () override
void | openFooter (const librevenge::RVNGPropertyList &) override
void | closeFooter () override
void | defineParagraphStyle (const librevenge::RVNGPropertyList &) override
void | openParagraph (const librevenge::RVNGPropertyList &propList) override
void | closeParagraph () override
void | defineCharacterStyle (const librevenge::RVNGPropertyList &) override
void | openSpan (const librevenge::RVNGPropertyList &propList) override
void | closeSpan () override
void | openLink (const librevenge::RVNGPropertyList &) override
void | closeLink () override
void | defineSectionStyle (const librevenge::RVNGPropertyList &) override
void | openSection (const librevenge::RVNGPropertyList &) override
void | closeSection () override
void | insertTab () override
void | insertSpace () override
void | insertText (const librevenge::RVNGString &text) override
void | insertLineBreak () override
void | insertField (const librevenge::RVNGPropertyList &) override
void | openOrderedListLevel (const librevenge::RVNGPropertyList &) override
void | openUnorderedListLevel (const librevenge::RVNGPropertyList &) override
void | closeOrderedListLevel () override
void | closeUnorderedListLevel () override
void | openListElement (const librevenge::RVNGPropertyList &propList) override
void | closeListElement () override
void | openFootnote (const librevenge::RVNGPropertyList &) override
void | closeFootnote () override
void | openEndnote (const librevenge::RVNGPropertyList &) override
void | closeEndnote () override
void | openComment (const librevenge::RVNGPropertyList &) override
void | closeComment () override
void | openTextBox (const librevenge::RVNGPropertyList &) override
void | closeTextBox () override
void | openTable (const librevenge::RVNGPropertyList &) override
void | openTableRow (const librevenge::RVNGPropertyList &) override
void | closeTableRow () override
void | openTableCell (const librevenge::RVNGPropertyList &) override
void | closeTableCell () override
void | insertCoveredTableCell (const librevenge::RVNGPropertyList &) override
void | closeTable () override
void | openFrame (const librevenge::RVNGPropertyList &) override
void | closeFrame () override
void | openGroup (const librevenge::RVNGPropertyList &) override
void | closeGroup () override
void | defineGraphicStyle (const librevenge::RVNGPropertyList &) override
void | drawRectangle (const librevenge::RVNGPropertyList &) override
void | drawEllipse (const librevenge::RVNGPropertyList &) override
void | drawPolygon (const librevenge::RVNGPropertyList &) override
void | drawPolyline (const librevenge::RVNGPropertyList &) override
void | drawPath (const librevenge::RVNGPropertyList &) override
void | drawConnector (const librevenge::RVNGPropertyList &) override
void | insertBinaryObject (const librevenge::RVNGPropertyList &) override
void | insertEquation (const librevenge::RVNGPropertyList &) override

## Private Member Functions
| WPGTextDataHandler (const WPGTextDataHandler &)
WPGTextDataHandler & | operator= (const WPGTextDataHandler &)

## Private Attributes
librevenge::RVNGDrawingInterface * | m_painter
librevenge::RVNGString | m_fontName
librevenge::RVNGPropertyList | m_paragraphStyle
librevenge::RVNGPropertyList | m_textStyle

## Constructor & Destructor Documentation

## ◆ WPGTextDataHandler() [1/2]

WPGTextDataHandler::WPGTextDataHandler | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| inline

## ◆ ~WPGTextDataHandler()

WPGTextDataHandler::~WPGTextDataHandler | ( |  | ) |
| inlineoverride

## ◆ WPGTextDataHandler() [2/2]

WPGTextDataHandler::WPGTextDataHandler | ( | const WPGTextDataHandler & |  | ) |
| private

## Member Function Documentation

## ◆ closeComment()

void WPGTextDataHandler::closeComment | ( |  | ) |
| inlineoverride

## ◆ closeEndnote()

void WPGTextDataHandler::closeEndnote | ( |  | ) |
| inlineoverride

## ◆ closeFooter()

void WPGTextDataHandler::closeFooter | ( |  | ) |
| inlineoverride

## ◆ closeFootnote()

void WPGTextDataHandler::closeFootnote | ( |  | ) |
| inlineoverride

## ◆ closeFrame()

void WPGTextDataHandler::closeFrame | ( |  | ) |
| inlineoverride

## ◆ closeGroup()

void WPGTextDataHandler::closeGroup | ( |  | ) |
| inlineoverride

## ◆ closeHeader()

void WPGTextDataHandler::closeHeader | ( |  | ) |
| inlineoverride

## ◆ closeLink()

void WPGTextDataHandler::closeLink | ( |  | ) |
| inlineoverride

## ◆ closeListElement()

void WPGTextDataHandler::closeListElement | ( |  | ) |
| override

## ◆ closeOrderedListLevel()

void WPGTextDataHandler::closeOrderedListLevel | ( |  | ) |
| inlineoverride

## ◆ closePageSpan()

void WPGTextDataHandler::closePageSpan | ( |  | ) |
| inlineoverride

## ◆ closeParagraph()

void WPGTextDataHandler::closeParagraph | ( |  | ) |
| override

## ◆ closeSection()

void WPGTextDataHandler::closeSection | ( |  | ) |
| inlineoverride

## ◆ closeSpan()

void WPGTextDataHandler::closeSpan | ( |  | ) |
| override

## ◆ closeTable()

void WPGTextDataHandler::closeTable | ( |  | ) |
| inlineoverride

## ◆ closeTableCell()

void WPGTextDataHandler::closeTableCell | ( |  | ) |
| inlineoverride

## ◆ closeTableRow()

void WPGTextDataHandler::closeTableRow | ( |  | ) |
| inlineoverride

## ◆ closeTextBox()

void WPGTextDataHandler::closeTextBox | ( |  | ) |
| inlineoverride

## ◆ closeUnorderedListLevel()

void WPGTextDataHandler::closeUnorderedListLevel | ( |  | ) |
| inlineoverride

## ◆ defineCharacterStyle()

void WPGTextDataHandler::defineCharacterStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ defineEmbeddedFont()

void WPGTextDataHandler::defineEmbeddedFont | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ defineGraphicStyle()

void WPGTextDataHandler::defineGraphicStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ definePageStyle()

void WPGTextDataHandler::definePageStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ defineParagraphStyle()

void WPGTextDataHandler::defineParagraphStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ defineSectionStyle()

void WPGTextDataHandler::defineSectionStyle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ drawConnector()

void WPGTextDataHandler::drawConnector | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ drawEllipse()

void WPGTextDataHandler::drawEllipse | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ drawPath()

void WPGTextDataHandler::drawPath | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ drawPolygon()

void WPGTextDataHandler::drawPolygon | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ drawPolyline()

void WPGTextDataHandler::drawPolyline | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ drawRectangle()

void WPGTextDataHandler::drawRectangle | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ endDocument()

void WPGTextDataHandler::endDocument | ( |  | ) |
| inlineoverride

## ◆ insertBinaryObject()

void WPGTextDataHandler::insertBinaryObject | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ insertCoveredTableCell()

void WPGTextDataHandler::insertCoveredTableCell | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ insertEquation()

void WPGTextDataHandler::insertEquation | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ insertField()

void WPGTextDataHandler::insertField | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ insertLineBreak()

void WPGTextDataHandler::insertLineBreak | ( |  | ) |
| override

## ◆ insertSpace()

void WPGTextDataHandler::insertSpace | ( |  | ) |
| override

## ◆ insertTab()

void WPGTextDataHandler::insertTab | ( |  | ) |
| override

## ◆ insertText()

void WPGTextDataHandler::insertText | ( | const librevenge::RVNGString & | text | ) |
| override

## ◆ openComment()

void WPGTextDataHandler::openComment | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openEndnote()

void WPGTextDataHandler::openEndnote | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openFooter()

void WPGTextDataHandler::openFooter | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openFootnote()

void WPGTextDataHandler::openFootnote | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openFrame()

void WPGTextDataHandler::openFrame | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openGroup()

void WPGTextDataHandler::openGroup | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openHeader()

void WPGTextDataHandler::openHeader | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openLink()

void WPGTextDataHandler::openLink | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openListElement()

void WPGTextDataHandler::openListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openOrderedListLevel()

void WPGTextDataHandler::openOrderedListLevel | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openPageSpan()

void WPGTextDataHandler::openPageSpan | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openParagraph()

void WPGTextDataHandler::openParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openSection()

void WPGTextDataHandler::openSection | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openSpan()

void WPGTextDataHandler::openSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |
| override

## ◆ openTable()

void WPGTextDataHandler::openTable | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openTableCell()

void WPGTextDataHandler::openTableCell | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openTableRow()

void WPGTextDataHandler::openTableRow | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openTextBox()

void WPGTextDataHandler::openTextBox | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ openUnorderedListLevel()

void WPGTextDataHandler::openUnorderedListLevel | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ operator=()

WPGTextDataHandler& WPGTextDataHandler::operator= | ( | const WPGTextDataHandler & |  | ) |
| private

## ◆ setDocumentMetaData()

void WPGTextDataHandler::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## ◆ startDocument()

void WPGTextDataHandler::startDocument | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlineoverride

## Member Data Documentation

## ◆ m_fontName

librevenge::RVNGString WPGTextDataHandler::m_fontName
| private

## ◆ m_painter

librevenge::RVNGDrawingInterface* WPGTextDataHandler::m_painter
| private

Referenced by closeListElement(), closeParagraph(), closeSpan(), insertLineBreak(), insertSpace(), insertTab(), insertText(), openListElement(), openParagraph(), and openSpan().

## ◆ m_paragraphStyle

librevenge::RVNGPropertyList WPGTextDataHandler::m_paragraphStyle
| private

## ◆ m_textStyle

librevenge::RVNGPropertyList WPGTextDataHandler::m_textStyle
| private

The documentation for this class was generated from the following files:

- WPGXParser.h
- WPGXParser.cpp